Package Gnumed :: Package timelinelib :: Package config :: Module dotfile :: Class Config |
[frames] | no frames]

# Class Config

source code

                     object --+
                              |
    general.observer.Observable --+
                                  |
                                 Config

Provide read and write access to application configuration settings.

Built as a wrapper around ConfigParser: Properties exist to read and write values but ConfigParser does the actual reading and writing of the configuration file.

Instance Methods
__init__(self, path) x.__init__(...) initializes x; see help(type(x)) for signature | source code
read(self) Read settings from file specified in constructor. | source code
write(self) Write settings to file specified in constructor and raise IOError if failed. | source code
get_selected_event_box_drawer(self) | source code
set_selected_event_box_drawer(self, selected) | source code
get_window_size(self) | source code
set_window_size(self, size) | source code
get_window_pos(self) | source code
set_window_pos(self, pos) | source code
get_recently_opened(self) | source code
has_recently_opened_files(self) | source code
get_latest_recently_opened_file(self) | source code
append_recently_opened(self, path) | source code
get_week_start(self) | source code
set_week_start(self, week_start) | source code
get_shortcut_key(self, cfgid, default) | source code
set_shortcut_key(self, cfgid, value) | source code
get_date_formatter(self) | source code
get_date_format(self) | source code
set_date_format(self, date_format) | source code
Inherited from `general.observer.Observable`: `listen_for`, `listen_for_any`, `register`, `unlisten`, `unregister` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| date_format = `property(get_date_format, set_date_format)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, path) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)